require( "scripts/style.lua" );

kButtonSpacing = 20;
kButtonY = kCenter-30;

SetState( kPause, true );

MakeDialog
{
	-- Name the modal dialog
	name="pausemenu",
	
	Bitmap
	{
		image="backgrounds/shade",
		alpha = 0.99,
	},
	
	Bitmap
	{
		image="backgrounds/dialog",
		x=250,
		y=250,
		
		SetStyle(DialogTitleText),
		Text
		{
			label = "paused",
			w = kMax,
			x = 0,
			y = 15,
			flags = kHAlignCenter + kVAlignCenter,
		},
		SetStyle(LongButtonStyle),
		ShadowedButton
		{
			x=kCenter,
			y=kButtonY,
			mylabel=GetString("resume"),
			font = StandardButtonFont,
			close = true,
			command=
				function()
	                SetState( kPause, false );
	                Resume();
				end;

		},

		ShadowedButton
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 2),
			mylabel=GetString("quit"),
			font = StandardButtonFont,
			close = true,
			command=
				function()
                    QuitToWinery();
	                SetState( kPause, false );
				end
		},
	},
	PlayPopupSound();
}